# TODO
# - use external igbinary and make it's dependency optional
#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	redis
Summary:	%{modname} A PHP extension for Redis
Name:		%{php_name}-%{modname}
Version:	2.2.5
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	https://github.com/nicolasff/phpredis/tarball/%{version}/%{modname}-%{version}.tar.gz
# Source0-md5:	0e82aed77f2c23a9072b277ecdef6dba
Source1:	https://github.com/ukko/phpredis-phpdoc/tarball/master/%{modname}-phpdoc.tar.gz
# Source1-md5:	9667e1b2976826915044e3a642847625
URL:		https://github.com/nicolasff/phpredis
BuildRequires:	%{php_name}-devel >= 4:5.0.4
%{?with_tests:BuildRequires:	%{php_name}-pcre}
%{?with_tests:BuildRequires:	%{php_name}-session}
%{?with_tests:BuildRequires:	%{php_name}-simplexml}
%{?with_tests:BuildRequires:	/usr/bin/php}
BuildRequires:	rpmbuild(macros) >= 1.519
%{?requires_php_extension}
Requires:	%{php_name}-session
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-redis < 2.2.5-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The phpredis extension provides an API for communicating with the
Redis key-value store.

This extension also provides session support.

%prep
%setup -qc -a1
mv nicolasff-php%{modname}-*/* .
mv ukko-phpredis-phpdoc-* phpdoc

%build
phpize
%configure
%{__make}

%if %{with tests}
# simple module load test
%{__php} -n \
	-dextension_dir=modules \
	-dextension=%{php_extensiondir}/pcre.so \
	-dextension=%{php_extensiondir}/spl.so \
	-dextension=%{php_extensiondir}/simplexml.so \
	-dextension=%{php_extensiondir}/session.so \
	-dextension=%{modname}.so \
	-m > modules.log
grep %{modname} modules.log
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README.markdown phpdoc
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon Apr 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-redis.git;a=log;h=auto/th/php-redis-2.2.5-4

* Wed Jun 11 2014 Elan Ruusamäe <glen@delfi.ee> fd0294e
- fix self-test

* Wed Jun 11 2014 Elan Ruusamäe <glen@delfi.ee> 12140a3
- update phpdoc to latest

* Fri May 23 2014 Elan Ruusamäe <glen@delfi.ee> 54d79b3
- provide versioned php extension dep

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> e15e235
- obsolete old php name
- release 2 (by relup.sh)

* Thu May 01 2014 Elan Ruusamäe <glen@delfi.ee> d3d2f6c
- up to 2.2.5

* Fri Jul 19 2013 Elan Ruusamäe <glen@delfi.ee> 3eec6bf
- release 4 (by relup.sh)

* Fri Jul 19 2013 Elan Ruusamäe <glen@delfi.ee> 69fdddd
- rpm5 df url

* Sun Oct 21 2012 Elan Ruusamäe <glen@delfi.ee> 67fa4b4
- allow building with php_suffix

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> cbc4c62
- release 3

* Fri Dec 09 2011 Elan Ruusamäe <glen@pld-linux.org> 2b82b6d
- add phpdoc

* Thu Oct 20 2011 Elan Ruusamäe <glen@pld-linux.org> c37f943
- load simplexml for php5.2

* Thu Oct 20 2011 Elan Ruusamäe <glen@pld-linux.org> 841666c
- simplexml for tests

* Fri Oct 14 2011 Elan Ruusamäe <glen@pld-linux.org> b91beef
- ext load test, requires session

* Fri Oct 14 2011 Elan Ruusamäe <glen@pld-linux.org> 48db7d6
- new

